/* Main.c */
#include "ProblemParameters.h"
#include "PoiseuilleFlow.h"
#include "Scalars.h"
#include "Membrane.h"
#include "Reactions.h"
#include "BoundaryAndInitialConditions.h"
#include "ext/transport.h"
#include "TimeIntegration.h"
#include "utils.h"
#include "PostProcessing.h"

int main() {
  TOLERANCE=1e-08;NITERMAX=1000;
  init_grid (1<<LEVEL);
  size(1.0);

  scalar * Y = NULL;
  for (size_t i = 0; i < nVarTotal(); i++) {
     scalar s = new scalar;
     Y = list_append (Y, s);
  }

  setScalarAttributes(Y);

  setBoundaryConditions(Y);

  _membrane=initializeMembrane();

  initializeScalars(Y, _membrane);

  marchToSteadyState(Y);

  printSolution(Y);
  calculateSherwoodNumber(Y);
  printGlobals(Y);

  freeMembrane(_membrane);
  delete(Y);
  free(Y);
}


