/* PoiseuilleFlow.h */
/* Definition */
double poiseuille (double r, double R1, double R2){
  double gamma=R1/R2;
  double rPrime=r*(1.0-gamma)+gamma;
  double u = gamma<=1e-06 ? 1.0-sq(rPrime)
    			   :sq(gamma)-sq(rPrime) + (1.0-sq(gamma))*log(rPrime/gamma)/log(1.0/gamma);
  return(u);
}

/* Setting Velocity */
void initializeVelocity (vector u, double R1, double R2){
  foreach_face(x) u.x[]=poiseuille(y,R1,R2); 
  foreach_face(y) u.y[]=0.0; 
}


